normalScoresTest {PMCMRplus} | R Documentation

## Lu-Smith Normal Scores Test

### Description

Performs the Lu-Smith normal score test

### Usage

    normalScoresTest(x, ...)

    ## Default S3 method:
    normalScoresTest(x, g, ...)

    ## S3 method for class 'formula'
    normalScoresTest(formula, data, subset, na.action, ...)

### Arguments

`x` | a numeric vector of data values, or a list of numeric data vectors.
`...` | further arguments to be passed to or from methods.
`g` | a vector or factor object giving the group for the corresponding elements of `"x"`. Ignored with a warning if `"x"` is a list.
`formula` | a formula of the form `response ~ group` where `response` gives the data values and `group` a vector or factor of the corresponding groups.
`data` | an optional matrix or data frame (or similar: see `model.frame`) containing the variables in the formula `formula`. By default the variables are taken from `environment(formula)`.
`subset` | an optional vector specifying a subset of observations to be used.
`na.action` | a function which indicates what should happen when the data contain `NA`s. Defaults to `getOption("na.action")`.

### Details

For one-factorial designs with non-normally distributed residuals the Lu-Smith normal score test can be performed to test the H_0: F_1(x) = F_2(x) = … = F_k(x) against the H_\mathrm{A}: F_i (x) \ne F_j(x) ~ (i \ne j) with at least one strict inequality. This function is basically a wrapper function to `pNormScore` of the package SuppDists.

### Value

A list with class `"htest"` containing the following components:

method

  a character string indicating what type of test was performed.

data.name

  a character string giving the name(s) of the data.

statistic

  the estimated quantile of the test statistic.

p.value

  the p-value for the test.

parameter

  the parameters of the test statistic, if any.

alternative

  a character string describing the alternative hypothesis.

estimates

  the estimates, if any.

null.value

  the estimate under the null hypothesis, if any.

### References

Lu, H., Smith, P. (1979) Distribution of normal scores statistic for nonparametric one-way analysis of variance. Journal of the American Statistical Association 74, 715–722.

### See Also

`vanWaerdenTest`, `kruskalTest`, `pNormScore`

### Examples

    normalScoresTest(count ~ spray, data = InsectSprays)

[Package PMCMRplus version 1.6.1 Index]